package net.shadowfacts.asmr.program

/**
 * @author shadowfacts
 */
class ProgramBlockInput<Type: Any>(
		val type: ProgramType<Type>,
		val block: ProgramBlock,
		var source: ProgramBlockOutput<Type>? = null
) {

	val value: Type?
		get() = source?.value

}
